Oore CI

Approve release

Records the maintainer approval required by the release policy. Writes history, an audit log entry, and a release event.

Operation IDapprove_release
POST
/v1/releases/{release_id}/approve

Records the maintainer approval required by the release policy. Writes history, an audit log entry, and a release event.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

release_id*string

Release ID

Request Body

application/json

Optional reason; fraction is accepted by raise only

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/releases/string/approve"
{  "allowed_actions": [    "raise"  ],  "approved_at": 0,  "approved_by_email": "string",  "artifact_id": "string",  "awaiting_approval": true,  "build_id": "string",  "build_number": 0,  "crash_rate": 0,  "crash_rate_threshold": 0,  "created_at": 0,  "environment_id": "string",  "environment_name": "string",  "health": "unknown",  "id": "string",  "next_fraction": 0,  "next_step_at": 0,  "package_name": "string",  "platform": "string",  "policy": {    "approval": "none",    "crash_rate_threshold": 0,    "interval_hours": 0.1,    "steps": [      0.1    ]  },  "project_id": "string",  "project_name": "string",  "promoted_from_release_id": "string",  "rollout_fraction": 0.1,  "state": "uploading",  "store": "google_play",  "track": "string",  "updated_at": 0,  "version_code": 0,  "version_name": "string"}